# org.pdfclown.objects.Cloner.Filter Class Reference

Inherited by org.pdfclown.objects.Cloner.AnnotationsFilter, and org.pdfclown.objects.Cloner.PageFilter.

List of all members.

## Public Member Functions
virtual void | AfterClone (Cloner cloner, PdfArray parent, int index, PdfDirectObject item)
| Notifies a complete clone operation on an array item.
virtual void | AfterClone (Cloner cloner, PdfDictionary parent, PdfName key, PdfDirectObject value)
| Notifies a complete clone operation on a dictionary entry.
virtual void | AfterClone (Cloner cloner, PdfObject clone, PdfObject source)
| Notifies a complete clone operation on an object.
virtual bool | BeforeClone (Cloner cloner, PdfArray parent, int index, PdfDirectObject item)
| Notifies a starting clone operation on an array item.
virtual bool | BeforeClone (Cloner cloner, PdfDictionary parent, PdfName key, PdfDirectObject value)
| Notifies a starting clone operation on a dictionary entry.
| Filter (String name)
virtual bool | Matches (Cloner cloner, PdfObject source)
| Gets whether this filter can deal with the given object.
## Properties
string | Name`[get]`

## Constructor & Destructor Documentation

org.pdfclown.objects.Cloner.Filter.Filter | ( | String | name | ) |

## Member Function Documentation

virtual void org.pdfclown.objects.Cloner.Filter.AfterClone | ( | Cloner | cloner,
|  | PdfArray | parent,
|  | int | index,
|  | PdfDirectObject | item |
| ) |  |  | `[virtual]`

Notifies a complete clone operation on an array item.

Parameters:

  | cloner | Object cloner.
  | parent | Parent clone object.
  | index | Item index within the parent.
  | item | Clone item.

virtual void org.pdfclown.objects.Cloner.Filter.AfterClone | ( | Cloner | cloner,
|  | PdfDictionary | parent,
|  | PdfName | key,
|  | PdfDirectObject | value |
| ) |  |  | `[virtual]`

Notifies a complete clone operation on a dictionary entry.

Parameters:

  | cloner | Object cloner.
  | parent | Parent clone object.
  | key | Entry key within the parent.
  | value | Clone value.

virtual void org.pdfclown.objects.Cloner.Filter.AfterClone | ( | Cloner | cloner,
|  | PdfObject | clone,
|  | PdfObject | source |
| ) |  |  | `[virtual]`

Notifies a complete clone operation on an object.

Parameters:

  | cloner | Object cloner.
  | clone | Clone object.
  | source | Source object.

Referenced by org.pdfclown.objects.Cloner.Visit().

virtual bool org.pdfclown.objects.Cloner.Filter.BeforeClone | ( | Cloner | cloner,
|  | PdfArray | parent,
|  | int | index,
|  | PdfDirectObject | item |
| ) |  |  | `[virtual]`

Notifies a starting clone operation on an array item.

Parameters:

  | cloner | Object cloner.
  | parent | Parent clone object.
  | index | Item index within the parent.
  | item | Source item.

Returns:
  Whether the clone operation can be fulfilled.

virtual bool org.pdfclown.objects.Cloner.Filter.BeforeClone | ( | Cloner | cloner,
|  | PdfDictionary | parent,
|  | PdfName | key,
|  | PdfDirectObject | value |
| ) |  |  | `[virtual]`

Notifies a starting clone operation on a dictionary entry.

Parameters:

  | cloner | Object cloner.
  | parent | Parent clone object.
  | key | Entry key within the parent.
  | value | Source value.

Returns:
  Whether the clone operation can be fulfilled.

Referenced by org.pdfclown.objects.Cloner.Visit().

virtual bool org.pdfclown.objects.Cloner.Filter.Matches | ( | Cloner | cloner,
|  | PdfObject | source |
| ) |  |  | `[virtual]`

Gets whether this filter can deal with the given object.

Parameters:

  | cloner | Object cloner.
  | source | Source object.

## Property Documentation

string org.pdfclown.objects.Cloner.Filter.Name`[get]`

Copyright 2006-2013 Stefano Chizzolini. For more information, please visit PDF Clown home page.